"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _constants = require("./constants");

const runtimeInfo = pool => {
  var _pool$maxReconnection, _pool$delayBeforeReco;

  return {
    disposed: pool.disposed,
    connectionCount: pool.extraConnections.size + pool.eventLoaders.size + (pool.connection === undefined ? 0 : 1),
    maxReconnectionTimes: (_pool$maxReconnection = pool.maxReconnectionTimes) !== null && _pool$maxReconnection !== void 0 ? _pool$maxReconnection : _constants.MAX_RECONNECTIONS,
    delayBeforeReconnection: (_pool$delayBeforeReco = pool.delayBeforeReconnection) !== null && _pool$delayBeforeReco !== void 0 ? _pool$delayBeforeReco : _constants.SERVICE_WAIT_TIME,
    processID: pool.connection ? pool.connection.processID : undefined
  };
};

var _default = runtimeInfo;
exports.default = _default;
//# sourceMappingURL=runtime-info.js.map