import { MAX_RECONNECTIONS, SERVICE_WAIT_TIME } from './constants';

const runtimeInfo = pool => {
  var _pool$maxReconnection, _pool$delayBeforeReco;

  return {
    disposed: pool.disposed,
    connectionCount: pool.extraConnections.size + pool.eventLoaders.size + (pool.connection === undefined ? 0 : 1),
    maxReconnectionTimes: (_pool$maxReconnection = pool.maxReconnectionTimes) !== null && _pool$maxReconnection !== void 0 ? _pool$maxReconnection : MAX_RECONNECTIONS,
    delayBeforeReconnection: (_pool$delayBeforeReco = pool.delayBeforeReconnection) !== null && _pool$delayBeforeReco !== void 0 ? _pool$delayBeforeReco : SERVICE_WAIT_TIME,
    processID: pool.connection ? pool.connection.processID : undefined
  };
};

export default runtimeInfo;
//# sourceMappingURL=runtime-info.js.map